> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fullenrich.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse Email Lookup

Get the full Person and Company profile from an email. This endpoint works with:

* Work emails
* Personal emails

If we find who's behind the email, **1** credit will be used.


## OpenAPI

````yaml POST /contact/reverse/email/bulk
openapi: 3.1.0
info:
  title: FullEnrich API Documentation
  version: 1.0.0
servers:
  - url: https://app.fullenrich.com/api/v1
security: []
paths:
  /contact/reverse/email/bulk:
    post:
      summary: Reverse Contact Lookup In Bulk
      operationId: postContactBulkReverseEmail
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestPostContactBulkReverseEmail'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponsePostContactBulkReverseEmail'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                ReverseEmailInvalid:
                  value:
                    code: error.reverse.email.invalid
                    message: Email is invalid
                ReverseEmailNotSet:
                  value:
                    code: error.reverse.email.empty
                    message: Email cannot be empty
                WebhookURLInvalid:
                  value:
                    code: error.enrichment.webhook_url
                    message: Webhook URL must be start with http or https
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                AuthorizationHeaderNotSet:
                  value:
                    code: error.authorization.not_set
                    message: Authorization headers not set
                AuthorizationHeaderNotAnBearer:
                  value:
                    code: error.authorization.not_bearer
                    message: Authorization headers not have prefix 'bearer'
                UnknownApiKey:
                  value:
                    code: error.api.key
                    message: Unknown api key
      security:
        - BearerAuth: []
components:
  schemas:
    RequestPostContactBulkReverseEmail:
      type: object
      properties:
        name:
          type: string
          examples:
            - Start Reverse Email Lookup Operation
        webhook_url:
          type: string
          description: >-
            If you are using n8n, this is where you add the Webhook that will be
            triggered when the enrichment is done.
          examples:
            - https://example.com/webhook
            - https://n8n.com/webhook/36ajcd81-7f76-4b43-ab21-ba8a67264da7
        data:
          type: array
          items:
            $ref: '#/components/schemas/RequestPostContactBulkReverseEmailContact'
      required:
        - name
        - data
      x-stoplight:
        id: qbqd1bt6pfpb6
    ResponsePostContactBulkReverseEmail:
      type: object
      properties:
        enrichment_id:
          type: string
          format: uuid
          examples:
            - 2db5ea61-1752-42cf-8ea1-ab1da060cd0a
      x-stoplight:
        id: yujio9ljywunw
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      x-stoplight:
        id: v5d69l7ks2svx
    RequestPostContactBulkReverseEmailContact:
      type: object
      properties:
        email:
          type: string
          examples:
            - john.snow@example.com
      x-stoplight:
        id: fwqx8iw6iu2ve
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````